#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 mod
version:              0.1.2.2
visibility:           public
id:                   mod-0.1.2.2-ENrlWwkkthOHHRvcJHLC8D
key:                  mod-0.1.2.2-ENrlWwkkthOHHRvcJHLC8D
license:              MIT
copyright:            2017-2020 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/mod
synopsis:             Fast type-safe modular arithmetic
description:
    <https://en.wikipedia.org/wiki/Modular_arithmetic Modular arithmetic>,
    promoting moduli to the type level, with an emphasis on performance.
    Originally part of <https://hackage.haskell.org/package/arithmoi arithmoi> package.

category:             Math, Number Theory
abi:                  ff7f2aacfadf58fc41a5aebce1dfdb56
exposed:              True
exposed-modules:      Data.Mod Data.Mod.Word
import-dirs:          /usr/lib/ghc-9.0.2/site-local/mod-0.1.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/mod-0.1.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/mod-0.1.2.2
hs-libraries:         HSmod-0.1.2.2-ENrlWwkkthOHHRvcJHLC8D
depends:
    base-4.15.1.0 deepseq-1.4.5.0 integer-gmp-1.1
    primitive-0.7.3.0-54yhKl7GYKVF2i3EyCYoxq
    semirings-0.6-6n05Fmcb7YvLYhQc8DvRWc
    vector-0.12.3.1-FGR30quEvBKIVgcX0eclul

haddock-interfaces:   /usr/share/doc/haskell-mod/html/mod.haddock
haddock-html:         /usr/share/doc/haskell-mod/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

